### Function

# Camel Provider get

#### Declaration [src]

    CamelProvider*
    camel_provider_get (
      const gchar* protocol,
      GError** error
    )

#### Description [src]

Returns the registered `CamelProvider` for `protocol`, loading it from disk if necessary. If no `CamelProvider` can be found for `protocol`, or the provider module fails to load, the function sets `error` and returns `NULL`.

The returned `CamelProvider` is owned by Camel and should not be modified or freed.

#### Parameters

`protocol`

  Type: `const gchar*`

  A `CamelProvider` protocol name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `CamelProvider`

A `CamelProvider` for `protocol`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.